--- libipod-0.1/src/ipod_atom_list.c
+++ libipod-0.1/src/ipod_atom_list.c
@@ -23,6 +23,7 @@
 #include <ipod/ipod_memory.h>
 #include <ipod/ipod_constants.h>
 #include "ipod_atom.h"
+#include <string.h>
  
 static long ipod_atom_list_allocs;
 static long ipod_atom_list_frees;
--- libipod-0.1/src/ipod_atom_mhod.c
+++ libipod-0.1/src/ipod_atom_mhod.c
@@ -30,6 +30,7 @@
 #include "ipod_atom_mhlt.h"
 #include "ipod_atom_mhit.h"
 #include "ipod_private_constants.h"
+#include <string.h>
 
 static void ipod_atom_init_mhod(uint32_t version,void *data)
 {
--- libipod-0.1/src/ipod.c
+++ libipod-0.1/src/ipod.c
@@ -37,6 +37,7 @@
 #include "ipod_atom_mhod.h"
 #include "ipod_atom_mqed.h"
 #include "ipod_atom_pqed.h"
+#include <string.h>
 #include <sys/stat.h>
 #include <sys/statfs.h>
 #include <dirent.h>
--- libipod-0.1/src/ipod_file_utils.c
+++ libipod-0.1/src/ipod_file_utils.c
@@ -21,6 +21,8 @@
 
 #include <ipod/ipod_file_utils.h>
 #include <ipod/ipod_error.h>
+#include <ipod/ipod_memory.h>
+#include <string.h>
 #include <stdio.h>
 #include <sys/types.h>
 #include <sys/stat.h>
--- libipod-0.1/src/ipod_io_memory.c
+++ libipod-0.1/src/ipod_io_memory.c
@@ -21,6 +21,7 @@
 
 #include <ipod/ipod_io_memory.h>
 #include <ipod/ipod_memory.h>
+#include <string.h>
 
 #define MEMORY_CHUNK_SIZE 8192
 #define IPOD_IO_MEMORY_MAGIC 0x05675309
--- libipod-0.1/src/ipod_string.c
+++ libipod-0.1/src/ipod_string.c
@@ -23,6 +23,7 @@
 #include <ipod/ipod_memory.h>
 #include <ipod/ipod_error.h>
 #include <stdio.h>
+#include <string.h>
 
 static unsigned long ipod_string_allocs;
 static unsigned long ipod_string_frees;
--- libipod-0.1/src/ipod_track_add.c
+++ libipod-0.1/src/ipod_track_add.c
@@ -26,6 +26,7 @@
 #include <ipod/ipod_constants.h>
 #include <ipod/ipod_error.h>
 #include <stdio.h>
+#include <string.h>
 
 extern ipod_track_t ipod_track_from_m4a(ipod_t ipod,ipod_io io);
 extern ipod_track_t ipod_track_from_mp3(ipod_t ipod,ipod_io io);
--- libipod-0.1/examples/teststrings.c
+++ libipod-0.1/examples/teststrings.c
@@ -6,6 +6,7 @@
 #include <ipod/ipod_string.h>
 #include <ipod/ipod_memory.h>
 #include <stdio.h>
+#include <string.h>
 
 void compare(const char *testDesc,const char *s1,const char *s2,size_t numBytes)
 {
--- libipod-0.1/src/ipod_track_from_mp3.c
+++ libipod-0.1/src/ipod_track_from_mp3.c
@@ -25,6 +25,7 @@
 #include <ipod/ipod_constants.h>
 #include <ipod/ipod_string.h>
 #include <ipod/ipod_error.h>
+#include <ipod/ipod_memory.h>
 #include <stdio.h>
 
 #define IPOD_MPEG_VERSION_1		3
--- libipod-0.1/src/ipod_atom_mhyp.c
+++ libipod-0.1/src/ipod_atom_mhyp.c
@@ -29,6 +29,7 @@
 #include "ipod_atom_mhsd.h"
 #include "ipod_atom_mhbd.h"
 #include "ipod_atom_mhlt.h"
+#include "ipod_atom_mhit.h"
 #include "ipod_private_constants.h"
 
 static void ipod_atom_init_mhyp(uint32_t version,void *data)
